Subject: [lisp] Design discussion -06-(2) -> no probes in ECMs: proposed text enclosed

From: Dino Farinacci <[email-masked]>
Date: Tue, 12 Jan 2010 14:31:06 -0800

Here is proposed text to deal with this issue. Darrel will be posting  
to the list an entire diff file as well as the ID shortly.

Thanks,
Dino and Darrel

On Dec 21, 2009, at 6:37 PM, Dino Farinacci wrote:

> A description of the design issue:
>
> (2) Map-Requests should not be sent in ECM with the Probe bit is set.
>   These type of Map-Requests are used as RLOC-probes and are sent
>   directly to locator addresses in the underlying network.
>
> Since RLOC-probing is intended for an ITR or PTR to know that the  
> forward path to an ETR or PETR is working, it sends Map-Request  
> messages with the P-bit set to a locator address (the destination  
> address in the IP header). Since the message path is direct from ITR/ 
> PTR to ETR/PETR the map-resolver and map-server is not involved in  
> the path. The spec currently indicates that Encapsulated Control  
> Messages (ECMs) are sent from ITR to MR and from MS to ETR.
>
> We want to write language indicating that P-bit Map-Requests are not  
> put into ECMs. Any objections to this?
>
> Thanks,
> Dino/Darrel
>